<?php
/**
 * 新特集FW サンプルページ
 *
 * @package ヤマケイオンライン
 * @subpackage サイト
 * @version $Id: sample.php 6111 2016-02-25 01:24:38Z c.ohba $
 */
	// 特集FW共通処理
	include('../../common/SpecialFW/Framework.inc');

	// DB接続インスタンス取得
	require_once 'SpecialFW/ConnectDB.php';
	$pdo_db = new SpecialFW_ConnectDB();

	// ユーティリティクラス インスタンス取得
	require_once 'SpecialFW/Util.php';
	$fw_util = SpecialFW_Util::getInstance();

	// Viewクラス インスタンス取得
	require_once 'SpecialFW/View.php';
	$fw_view = SpecialFW_View::getInstance();


	############## [YK様メイン処理の記述 START] ##############

	//）yk_commonよりファイルinclude
//	include('../../yk_common/function.php');

	/**
	 * 画面表示設定
	 */
	// タイトルタグの内容を設定します
	$fw_view->setTitle("「谷川岳ウィーク」に近くてよい山　谷川岳に行こう！ Yamakei Online / 山と渓谷社");
	// Meta Descriptionの内容を設定します
	$fw_view->setDescription("7月2日は「谷川岳の日」、7月3日は「谷川岳山開き」");

	// パンクズを設定します
//	$fw_view->setTopicsPath("パンくず");

	// 共通CSSの表示/非表示を設定する
	$fw_view->setCommonCss(TRUE);


	// 拡張metaタグを設定する　（name形式）
	$fw_view->setMetaName("meta1", "meta name setxxxxxxxxxx");

	// 拡張metaタグを設定する　（property形式）
	$fw_view->setMetaProperty("meta2", "meta property setxxxxxxxxxx");

	// linkタグを設定する
//	$fw_view->setHeadLink(array('rel'=>'canonical','href'=>'設定したいURL'));



/*
	// データのアサイン
	$fw_view->assign('yama_data',        $yama_data);
	$fw_view->assign('search_flg',       $search_flg);
	$fw_view->assign('search_yama_name', $search_yama_name);
	$fw_view->assign('search_cnt',       $search_cnt);
	$fw_view->assign('err_message',      $err_message);
*/


	// スマートフォンでアクセスしているのか
	if ($fw_util->isSpDevice() === TRUE) {

		//▼▼　スマホページあるとき共通：削除しないこと
		//スマホアクセス
		$fw_view->appendMetaName('viewport','width=device-width');
		$fw_view->appendMetaName('format-detection','telephone=no');

		// 外部CSSを設定します
		$fw_view->setCss("yk/sp/css/common.css");
		$fw_view->setCss("yk/sp/css/order.css");
		$fw_view->setCss("yk/sp/js/to_top/to-top.css");

		$fw_view->setCss('yk/sp_f/css/sp_common.css');
		$fw_view->setCss('yk/src/monitor/tanigawa2016_week/tanigawa2016_week.css');

		// 外部JSを設定します
		$fw_view->setJs('yk/sp/js/to_top/to-top.js');

		$fw_view->setHeaderLogin(TRUE, true);

		// 共通CSSの表示/非表示を設定する
		$fw_view->setCommonCss(false);

		// Snav の表示・非表示を設定します
		$fw_view->setSnav(false);

		// Header Logo の表示・非表示を設定します
		$fw_view->setHeaderLogo(false);

		// Global Nav の表示・非表示を設定します
		$fw_view->setGlobalNav(false);

		// Header Login の表示・非表示を設定します
		$fw_view->setHeaderLogin(false, false);

		// Footer Link の表示・非表示を設定します
		$fw_view->setFooterLink(false);

		//▲▲　スマホページあるとき共通：削除しないこと

		// スマホアクセスHTML
		$fw_view->setViewScript('yk/monitor/m_tanigawa2016_week_sp.html');
//		$fw_view->setViewScript('yk/sample/test_sp.html'); 
	} else {

		//▼▼　PCページ設定共通：変更可能、削除しないこと
		// Header Login の表示・非表示を設定します
		$fw_view->setHeaderLogin(TRUE, true);

		// Header Logo の表示・非表示を設定します
		$fw_view->setHeaderLogo(false);

		// Global Nav の表示・非表示を設定します
		$fw_view->setGlobalNav(false);

		// Snav の表示・非表示を設定します
		$fw_view->setSnav(false);

		// Footer Link の表示・非表示を設定します
		$fw_view->setFooterLink(false);

		// Footer Copyright の表示・非表示を設定します
		$fw_view->setFooterCopyright(TRUE);

		// Content Header に表示させたいタグを設定する
		//	$fw_view->setContentHeaderString('<div class="fw_content_header_area">contentHeader領域</div>');
		//▲▲　PCページ設定共通：変更可能、削除しないこと


		// 外部CSSを設定します　※yk_htdocs/内は、yk/は必須です
		$fw_view->setCss("yk/src/monitor/tanigawa2016_week/tanigawa2016_week.css");
		$fw_view->setCss("js/facefiles/facebox.css");

		// 外部JSを設定します
		$fw_view->setJs("js/facefiles/facebox.js");



		//PCアクセスHTML
		$fw_view->setViewScript('yk/monitor/m_tanigawa2016_week.html');
	}


	// テンプレートの指定
	//$fw_view->setViewScript('yk/sample/sample2.html');

	############## [YK様メイン処理の記述 END] ##############


    // 画面出力
    $fw_view->render();
